{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CON_INDEX"; 
            externalType = NUMBER; 
            name = conIndex; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_OBJET"; 
            externalType = VARCHAR2; 
            name = conObjet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_OBJET_COURT"; 
            externalType = VARCHAR2; 
            name = conObjetCourt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_REFERENCE_EXTERNE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "CON_REFERENCE"; }; 
            name = conReferenceExterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CON_SUPPR"; 
            externalType = VARCHAR2; 
            name = conSuppr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        conIndex, 
        conObjet, 
        conObjetCourt, 
        conOrdre, 
        conReferenceExterne, 
        conSuppr, 
        exeOrdre
    ); 
    className = "org.cocktail.kava.server.metier.EOConvention"; 
    classProperties = (
        conIndex, 
        conObjet, 
        conObjetCourt, 
        conReferenceExterne, 
        conSuppr, 
        conventionLimitatives, 
        conventionNonLimitatives, 
        exercice
    ); 
    externalName = "jefy_recette.v_convention"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            conIndex, 
            conObjet, 
            conObjetCourt, 
            conReferenceExterne, 
            conSuppr, 
            conventionLimitatives, 
            conventionNonLimitatives, 
            exercice
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOConvention"; 
        "_nameInObjectStore" = "v_convention"; 
    }; 
    name = Convention; 
    primaryKeyAttributes = (conOrdre); 
    relationships = (
        {
            destination = ConventionLimitative; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = conOrdre; }); 
            name = conventionLimitatives; 
        }, 
        {
            destination = ConventionNonLimitative; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = conOrdre; }); 
            name = conventionNonLimitatives; 
        }, 
        {
            destination = "ca_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
